<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_v.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_v"></a>- v -</h3><ul>
<li>validate()
: <a class="el" href="classOpenSim_1_1MocoVariableInfo.html#ab8d71e4ab14bcde5642f7dad32bd30d7">OpenSim::MocoVariableInfo</a>
</li>
<li>validateDependentsMetaData()
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5607d09257762b96633051ff483632ab">OpenSim::AbstractDataTable</a>
, <a class="el" href="classOpenSim_1_1DataTable__.html#a838334a0d9b6aa17b55e66500991035f">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>validateIndependentMetaData()
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5d4691b7c074fcba7aec2f7de230cd52">OpenSim::AbstractDataTable</a>
, <a class="el" href="classOpenSim_1_1DataTable__.html#a3603790070cec9ef9796d4295158966a">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>validatePerturbationSize()
: <a class="el" href="classOpenSim_1_1OptimizationTarget.html#a1d5baf46187f3415d1d5459a46c5c96a">OpenSim::OptimizationTarget</a>
, <a class="el" href="classOpenSim_1_1StaticOptimizationTarget.html#ae2a5ff01974ffeb53927579b42809682">OpenSim::StaticOptimizationTarget</a>
</li>
<li>validateRow()
: <a class="el" href="classOpenSim_1_1DataTable__.html#a4f1fa3416937ba2c0a2da3887b102e52">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a62cb5199e10714269c74eacf68cd8f07">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>Value
: <a class="el" href="classOpenSim_1_1ValueArray.html#aa67aa8743ffe10c2d89a24a311ba845f">OpenSim::ValueArray&lt; T &gt;</a>
</li>
<li>ValueType
: <a class="el" href="classOpenSim_1_1IKCoordinateTask.html#abd89dbb508cf2332cd95e449f4f0327a">OpenSim::IKCoordinateTask</a>
</li>
<li>ValueTypeToString()
: <a class="el" href="classOpenSim_1_1IKCoordinateTask.html#ac7b80a505cc1fcba9d5a546a20a446a6">OpenSim::IKCoordinateTask</a>
</li>
<li>Vector
: <a class="el" href="classOpenSim_1_1DataTable__.html#a75dc6229c6fb789ade85d090d3d09986">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>VectorFunction()
: <a class="el" href="classOpenSim_1_1VectorFunction.html#a4755a7e0e68f7f6df55bc045502f653d">OpenSim::VectorFunction</a>
</li>
<li>VectorFunctionForActuators()
: <a class="el" href="classOpenSim_1_1VectorFunctionForActuators.html#a00f17af68a489c2a57cf08bd0e74a9c6">OpenSim::VectorFunctionForActuators</a>
</li>
<li>VectorFunctionUncoupledNxN()
: <a class="el" href="classOpenSim_1_1VectorFunctionUncoupledNxN.html#aabc02ba38b0883f1a54327854e652ff2">OpenSim::VectorFunctionUncoupledNxN</a>
</li>
<li>VectorView
: <a class="el" href="classOpenSim_1_1DataTable__.html#ab8eb08cdc93a75666b3ac2c657f175a9">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>verifyControlsStates()
: <a class="el" href="classOpenSim_1_1AnalyzeTool.html#a5578492a29cf686a1369102dc50e9dff">OpenSim::AnalyzeTool</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
